# Contributing to Lektor

Clone the [git repository](https://git.iiens.net/martin2018/lektor). Create a
branch from master with the `git checkout -b dev-${pseudal}` command.

Please, rebase regularly your branch on `master`.

Please, add your name in the CONTRIBUTORS file. The format is `First name
'Pseudal' FAMILY　NAME`. The licence is a modified version of the ISC licence
to include this file (in short, a kind of MIT licence).

## Building

It is recommended to use the `../configure` method to build while in
developpement. Also, prefere useing the `--with-depends` with the
configuration, to use the fixed version.

An archlinux package exists, use `makepkg -si` to build and install it. If
there are no package for your distribution, feel free to add a way to make it.

## Style and the code

Prefer using `__${name}` names for static variables and functions. Prefix the
name of the file or folder in function names, e.g. `database_` or `command_`.

For formating, use the `./scripts/astyle.bash` from the root of the project.
You'll need [astyle](http://astyle.sourceforge.net/) for that. Note that the
astyle step is a part of the CI/CD.

You are encouraged to use the `./scripts/tags.bash` script to build the `ctags`
and `cscope` database files to explore more easelly the project.

The C standard used here is C11, because on debian C18 doesn't compiles.
